import 'package:agrilink_vocpro/data/model/latest_data_response.dart';

class Npk1GraphicResponse {
  DataNpk1? data;
  int? statusCode;
  String? message;

  Npk1GraphicResponse({this.data, this.statusCode, this.message});

  Npk1GraphicResponse.fromJson(Map<String, dynamic> json) {
    data = json['data'] != null ? DataNpk1.fromJson(json['data']) : null;
    statusCode = json['statusCode'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    data['statusCode'] = statusCode;
    data['message'] = message;
    return data;
  }
}

class DataNpk1 {
  List<Npk>? npk1;

  DataNpk1({this.npk1});

  DataNpk1.fromJson(Map<String, dynamic> json) {
    if (json['npk1'] != null) {
      npk1 = <Npk>[];
      json['npk1'].forEach((v) {
        npk1!.add(Npk.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (npk1 != null) {
      data['npk1'] = npk1!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
